package com.kingdee.eas.custom.workflow;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WorkflowPostionFactory
{
    private WorkflowPostionFactory()
    {
    }
    public static com.kingdee.eas.custom.workflow.IWorkflowPostion getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.IWorkflowPostion)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("A5A4B005") ,com.kingdee.eas.custom.workflow.IWorkflowPostion.class);
    }
    
    public static com.kingdee.eas.custom.workflow.IWorkflowPostion getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.IWorkflowPostion)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("A5A4B005") ,com.kingdee.eas.custom.workflow.IWorkflowPostion.class, objectCtx);
    }
    public static com.kingdee.eas.custom.workflow.IWorkflowPostion getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.IWorkflowPostion)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("A5A4B005"));
    }
    public static com.kingdee.eas.custom.workflow.IWorkflowPostion getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.IWorkflowPostion)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("A5A4B005"));
    }
}